# Record Class CLNChannelsLayoutDescriptionCustom

java.lang.Object
java.lang.Record
com.io7m.calino.api.CLNChannelsLayoutDescriptionCustom

Record Components:
  `channels` - The channels
  `packing` - The packing specification

All Implemented Interfaces:
  `CLNChannelsLayoutDescriptionType, CLNDescribableType`

public record CLNChannelsLayoutDescriptionCustom(List<CLNChannelDescription> channels, Optional<CLNChannelLayoutPacking> packing) extends Record implements CLNChannelsLayoutDescriptionType
A custom channel layout description.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLNChannelsLayoutDescriptionCustom(List<CLNChannelDescription> channels, Optional<CLNChannelLayoutPacking> packing)`
  A custom channel layout description.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CLNChannelDescription>`
  `channels()`
  Returns the value of the `channels` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Optional<CLNChannelLayoutPacking>`
  `packing()`
  Returns the value of the `packing` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface CLNChannelsLayoutDescriptionType

  `bitsTotal, descriptor, texelBlockAlignment`

- ## Constructor Details

  - ### CLNChannelsLayoutDescriptionCustom

    public CLNChannelsLayoutDescriptionCustom(List<CLNChannelDescription> channels, Optional<CLNChannelLayoutPacking> packing)
    A custom channel layout description.
    Parameters:
      `channels` - The channels
      `packing` - The packing specification

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### channels

    public List<CLNChannelDescription> channels()
    Returns the value of the `channels` record component.
    Specified by:
      `channels` in interface `CLNChannelsLayoutDescriptionType`
    Returns:
      the value of the `channels` record component

  - ### packing

    public Optional<CLNChannelLayoutPacking> packing()
    Returns the value of the `packing` record component.
    Specified by:
      `packing` in interface `CLNChannelsLayoutDescriptionType`
    Returns:
      the value of the `packing` record component